Skip to main content
GET
Fund Portfolio

Query Parameters

id
string

Surf fund UUID. PREFERRED — always use this when available from a previous response (e.g. id from /search/fund). Takes priority over q.

Example:

"ef3b6da9-283d-4080-b3c7-87b1b45924dc"

q
string

Fuzzy fund name search. Only use when 'id' is not available. May return unexpected results for ambiguous names.

Maximum string length: 100
Example:

"a16z"

limit
integer<int64>
default:20

Results per page

Required range: 1 <= x <= 100
Example:

20

offset
integer<int64>
default:0

Pagination offset

Required range: x >= 0
Example:

0

is_lead
enum<string>

Filter by lead investor status. Omit or leave empty for all investments.

Available options:
true,
false,
Example:

"true"

invested_after
integer<int64>

Only include investments at or after this Unix timestamp (seconds)

Example:

1704067200

invested_before
integer<int64>

Only include investments before this Unix timestamp (seconds)

Example:

1735689600

sort_by
enum<string>
default:invested_at

Field to sort results by

Available options:
invested_at,
recent_raise,
total_raise
Example:

"recent_raise"

order
enum<string>
default:desc

Sort order

Available options:
asc,
desc
Example:

"desc"

Response

OK

data
object[] | null
required
meta
object
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://example.com/schemas/DataResponseFundPortfolioItem.json"